# permadelete

> permadelete - Administrative control plane for permanent deletion jobs.

This Markdown file sits beside the HTML page at the same path (with a `.md` suffix). It summarizes the topic and lists links for tools and LLM context.

Companion generated at `2026-09-11T13:36:54.289355+00:00` (UTC).

## Primary page

- [permadelete](https://docs.datarobot.com/ja/docs/api/reference/public-api/permadelete.html.md): Full documentation for this topic (Markdown sidecar).

## Sections on this page

- [Get permadelete job by job_ ID](https://docs.datarobot.com/ja/docs/api/reference/public-api/permadelete.html.md#get-permadelete-job-by-job_-id): In-page section heading.
- [Parameters](https://docs.datarobot.com/ja/docs/api/reference/public-api/permadelete.html.md#getpermadeletejob-parameters): In-page section heading.
- [Example responses](https://docs.datarobot.com/ja/docs/api/reference/public-api/permadelete.html.md#example-responses): In-page section heading.
- [Responses](https://docs.datarobot.com/ja/docs/api/reference/public-api/permadelete.html.md#responses): In-page section heading.
- [Response Schema](https://docs.datarobot.com/ja/docs/api/reference/public-api/permadelete.html.md#response-schema): In-page section heading.
- [HTTPValidationError](https://docs.datarobot.com/ja/docs/api/reference/public-api/permadelete.html.md#tocS_HTTPValidationError): In-page section heading.
- [Properties](https://docs.datarobot.com/ja/docs/api/reference/public-api/permadelete.html.md#properties): In-page section heading.
- [ValidationError](https://docs.datarobot.com/ja/docs/api/reference/public-api/permadelete.html.md#tocS_ValidationError): In-page section heading.
- [Properties](https://docs.datarobot.com/ja/docs/api/reference/public-api/permadelete.html.md#properties_1): In-page section heading.

## Documentation content

Administrative control plane for permanent deletion jobs.

## Get permadelete job by job_ ID

Operation path: `GET /api/v2/workloads/permadelete/{job_id}`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| job_id | path | string | true | Permadelete job ID |

### Example responses

> 200 Response

```
{}
```

### Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | OK | Successful Response | Inline |
| 400 | Bad Request | Bad request | None |
| 401 | Unauthorized | Unauthenticated | None |
| 403 | Forbidden | Caller is not a system admin or internal service | None |
| 422 | Unprocessable Entity | Validation Error | HTTPValidationError |
| 501 | Not Implemented | Permadelete job APIs are not implemented yet | None |

### Response Schema

# Schemas

## HTTPValidationError

```
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "code": {
            "description": "Machine-readable error type (e.g. 'missing', 'string_type').",
            "title": "Code",
            "type": "string"
          },
          "message": {
            "description": "Human-readable description of the validation failure.",
            "title": "Message",
            "type": "string"
          },
          "path": {
            "description": "Dotted path to the invalid field (e.g. 'runtime.containergroups.0.autoscaling').",
            "title": "Path",
            "type": "string"
          }
        },
        "required": [
          "path",
          "message",
          "code"
        ],
        "title": "ValidationError",
        "type": "object"
      },
      "title": "Detail",
      "type": "array"
    }
  },
  "title": "HTTPValidationError",
  "type": "object"
}
```

HTTPValidationError

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| detail | [ValidationError] | false |  | none |

## ValidationError

```
{
  "properties": {
    "code": {
      "description": "Machine-readable error type (e.g. 'missing', 'string_type').",
      "title": "Code",
      "type": "string"
    },
    "message": {
      "description": "Human-readable description of the validation failure.",
      "title": "Message",
      "type": "string"
    },
    "path": {
      "description": "Dotted path to the invalid field (e.g. 'runtime.containergroups.0.autoscaling').",
      "title": "Path",
      "type": "string"
    }
  },
  "required": [
    "path",
    "message",
    "code"
  ],
  "title": "ValidationError",
  "type": "object"
}
```

ValidationError

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| code | string | true |  | Machine-readable error type (e.g. 'missing', 'string_type'). |
| message | string | true |  | Human-readable description of the validation failure. |
| path | string | true |  | Dotted path to the invalid field (e.g. 'runtime.containergroups.0.autoscaling'). |
